<ion-view title="Create My Account" class="signUp-container" >
  <ion-content padding="true" scroll="false" class="has-header">
  <img src="img/system/logo-signin.png" class="logo logo-signin">  
	<div class="error-container" ng-show="(signupForm.name.$invalid || signupForm.email.$invalid || signupForm.mobile.$invalid || signupForm.password.$invalid)"> 
		<p class="padding" ng-show="signupForm.name.$error.required && (signupForm.name.$invalid && !signupForm.name.$pristine)">* Your Fullname is required</p> 
		<p class="padding" ng-show="signupForm.email.$error.required && (signupForm.email.$invalid && !signupForm.email.$pristine)">* Email is required</p> 
		<p class="padding" ng-show="signupForm.email.$invalid && !signupForm.email.$pristine">* Your email must be valid email address</p>  
		<p class="padding" ng-show="signupForm.mobile.$error.required && (signupForm.mobile.$invalid && !signupForm.mobile.$pristine)">* Your Mobile Number is required</p>  
		<p class="padding" ng-show="signupForm.mobile.$error.pattern  && (signupForm.mobile.$invalid && !signupForm.mobile.$pristine)">* Your Mobile must be numbers</p>  
		<p class="padding" ng-show="signupForm.mobile.$error.minlength  && (signupForm.mobile.$invalid && !signupForm.mobile.$pristine)">* Your Mobile must be 11 numbers</p>  
		<p class="padding" ng-show="signupForm.password.$error.required && (signupForm.password.$invalid && !signupForm.password.$pristine)">* Password is required</p> 
		<p class="padding" ng-show="signupForm.password.$error.minlength  && (signupForm.password.$invalid && !signupForm.password.$pristine)">* Password must be at least 8 alphanumeric characters</p> 
	</div>
	
	<form name="signupForm" class="list signup-form" novalidate>
 	 
		<label class="item item-input" ng-class="{ 'has-errors' : signupForm.name.$invalid && !signupForm.name.$pristine, 'no-errors' : signupForm.name.$valid}">
			 <i class="icon icon-left ion-ios-person-outline placeholder-icon"> </i>
			<input name="name" type="text" placeholder="Name" ng-model="user.name" required>
		</label>
		<label class="item item-input" ng-class="{ 'has-errors' : signupForm.email.$invalid && !signupForm.email.$pristine, 'no-errors' : signupForm.email.$valid}">
			<i class="icon icon-left ion-ios-email-outline placeholder-icon"></i>
			<input name="email" type="email" placeholder="Email" ng-model="user.email" required>
		</label>

		<label class="item item-input" ng-class="{ 'has-errors' : signupForm.mobile.$invalid && !signupForm.mobile.$pristine, 'no-errors' : signupForm.mobile.$valid}">
			<i class="icon icon-left ion-iphone placeholder-icon"></i>
			<input name="mobile" type="tel" placeholder="Mobile" ng-model="user.mobile" ng-pattern="/^(\d)+$/" ng-minlength='11' ng-maxlength='11' maxlength="11" required>
		</label>			
		<label class="item item-input" ng-class="{ 'has-errors' : signupForm.password.$invalid && !signupForm.password.$pristine, 'no-errors' : signupForm.password.$valid}">
			<i class="icon icon-left ion-ios-locked-outline placeholder-icon"></i>
			<input name="password" type="password" placeholder="password" ng-model="user.password" ng-minlength='8' required>
		</label>
		<button type="submit" class="button button-royal button-block" ng-disabled="signupForm.$invalid" ng-click="doSignUp(signupForm,user)" >Continue</button>
	</form>

  </ion-content>
</ion-view>